Package de.gebit.integrity.dsl

## Interface DslPackage.Literals

- Enclosing interface:
    DslPackage

      public static interface DslPackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static org.eclipse.emf.ecore.EClass` | `ARBITRARY_PARAMETER_OR_RESULT_NAME` | The meta object literal for the '`Arbitrary Parameter Or Result Name`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `ARBITRARY_PARAMETER_OR_RESULT_NAME__IDENTIFIER` | The meta object literal for the 'Identifier' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `ARBITRARY_PARAMETER_OR_RESULT_NAME__STRING_IDENTIFIER` | The meta object literal for the 'String Identifier' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `BOOLEAN_VALUE` | The meta object literal for the '`Boolean Value`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `BOOLEAN_VALUE__BOOLEAN_VALUE` | The meta object literal for the 'Boolean Value' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `CALL` | The meta object literal for the '`Call`' class.
    `static org.eclipse.emf.ecore.EReference` | `CALL__DEFINITION` | The meta object literal for the 'Definition' reference feature.
    `static org.eclipse.emf.ecore.EReference` | `CALL__MULTIPLIER` | The meta object literal for the 'Multiplier' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `CALL__PARAMETERS` | The meta object literal for the 'Parameters' containment reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `CALL__RESULT` | The meta object literal for the 'Result' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `CALL__RESULTS` | The meta object literal for the 'Results' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `CALL_DEFINITION` | The meta object literal for the '`Call Definition`' class.
    `static org.eclipse.emf.ecore.EReference` | `CALL_DEFINITION__DOCUMENTATION` | The meta object literal for the 'Documentation' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `CALL_DEFINITION__FIXTURE_METHOD` | The meta object literal for the 'Fixture Method' containment reference feature.
    `static org.eclipse.emf.ecore.EAttribute` | `CALL_DEFINITION__NAME` | The meta object literal for the 'Name' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `CONSTANT` | The meta object literal for the '`Constant`' class.
    `static org.eclipse.emf.ecore.EReference` | `CONSTANT__NAME` | The meta object literal for the 'Name' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `CONSTANT_DEFINITION` | The meta object literal for the '`Constant Definition`' class.
    `static org.eclipse.emf.ecore.EReference` | `CONSTANT_DEFINITION__DOCUMENTATION` | The meta object literal for the 'Documentation' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `CONSTANT_DEFINITION__NAME` | The meta object literal for the 'Name' containment reference feature.
    `static org.eclipse.emf.ecore.EAttribute` | `CONSTANT_DEFINITION__PARAMETERIZED` | The meta object literal for the 'Parameterized' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `CONSTANT_DEFINITION__PRIVATE` | The meta object literal for the 'Private' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `CONSTANT_DEFINITION__VALUE` | The meta object literal for the 'Value' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `CONSTANT_DEFINITION__VARIANT_VALUES` | The meta object literal for the 'Variant Values' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `CONSTANT_ENTITY` | The meta object literal for the '`Constant Entity`' class.
    `static org.eclipse.emf.ecore.EClass` | `CONSTANT_VALUE` | The meta object literal for the '`Constant Value`' class.
    `static org.eclipse.emf.ecore.EClass` | `CUSTOM_OPERATION` | The meta object literal for the '`Custom Operation`' class.
    `static org.eclipse.emf.ecore.EReference` | `CUSTOM_OPERATION__DEFINITION` | The meta object literal for the 'Definition' reference feature.
    `static org.eclipse.emf.ecore.EReference` | `CUSTOM_OPERATION__POSTFIX_OPERAND` | The meta object literal for the 'Postfix Operand' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `CUSTOM_OPERATION__PREFIX_OPERAND` | The meta object literal for the 'Prefix Operand' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `DATE_AND_TIME_VALUE` | The meta object literal for the '`Date And Time Value`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `DATE_AND_TIME_VALUE__DATE_VALUE` | The meta object literal for the 'Date Value' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `DATE_AND_TIME_VALUE__TIME_VALUE` | The meta object literal for the 'Time Value' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `DATE_VALUE` | The meta object literal for the '`Date Value`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `DATE_VALUE__DATE_VALUE` | The meta object literal for the 'Date Value' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `DECIMAL_VALUE` | The meta object literal for the '`Decimal Value`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `DECIMAL_VALUE__DECIMAL_VALUE` | The meta object literal for the 'Decimal Value' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `DOCUMENTATION_COMMENT` | The meta object literal for the '`Documentation Comment`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `DOCUMENTATION_COMMENT__CONTENT` | The meta object literal for the 'Content' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `EMPTY` | The meta object literal for the '`Empty`' class.
    `static org.eclipse.emf.ecore.EClass` | `EMPTY_VALUE` | The meta object literal for the '`Empty Value`' class.
    `static org.eclipse.emf.ecore.EClass` | `ENUM_VALUE` | The meta object literal for the '`Enum Value`' class.
    `static org.eclipse.emf.ecore.EReference` | `ENUM_VALUE__ENUM_VALUE` | The meta object literal for the 'Enum Value' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `EUROPEAN_DATE_AND12_HRS_TIME_VALUE` | The meta object literal for the '`European Date And12 Hrs Time Value`' class.
    `static org.eclipse.emf.ecore.EClass` | `EUROPEAN_DATE_AND24_HRS_TIME_VALUE` | The meta object literal for the '`European Date And24 Hrs Time Value`' class.
    `static org.eclipse.emf.ecore.EClass` | `EUROPEAN_DATE_VALUE` | The meta object literal for the '`European Date Value`' class.
    `static org.eclipse.emf.ecore.EClass` | `EXECUTION_MULTIPLIER` | The meta object literal for the '`Execution Multiplier`' class.
    `static org.eclipse.emf.ecore.EReference` | `EXECUTION_MULTIPLIER__COUNT` | The meta object literal for the 'Count' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `FIXED_PARAMETER_NAME` | The meta object literal for the '`Fixed Parameter Name`' class.
    `static org.eclipse.emf.ecore.EReference` | `FIXED_PARAMETER_NAME__ANNOTATION` | The meta object literal for the 'Annotation' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `FIXED_RESULT_NAME` | The meta object literal for the '`Fixed Result Name`' class.
    `static org.eclipse.emf.ecore.EReference` | `FIXED_RESULT_NAME__FIELD` | The meta object literal for the 'Field' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `FORK_DEFINITION` | The meta object literal for the '`Fork Definition`' class.
    `static org.eclipse.emf.ecore.EReference` | `FORK_DEFINITION__BASE_FORK` | The meta object literal for the 'Base Fork' reference feature.
    `static org.eclipse.emf.ecore.EAttribute` | `FORK_DEFINITION__DESCRIPTION` | The meta object literal for the 'Description' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `FORK_DEFINITION__FORKER_CLASS` | The meta object literal for the 'Forker Class' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `FORK_DEFINITION__PARAMETERS` | The meta object literal for the 'Parameters' containment reference list feature.
    `static org.eclipse.emf.ecore.EAttribute` | `FORK_DEFINITION__PRIVATE` | The meta object literal for the 'Private' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `FORK_PARAMETER` | The meta object literal for the '`Fork Parameter`' class.
    `static org.eclipse.emf.ecore.EReference` | `FORK_PARAMETER__NAME` | The meta object literal for the 'Name' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `FORK_PARAMETER__VALUE` | The meta object literal for the 'Value' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `IMPORT` | The meta object literal for the '`Import`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `IMPORT__IMPORTED_NAMESPACE` | The meta object literal for the 'Imported Namespace' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `INEXISTENT` | The meta object literal for the '`Inexistent`' class.
    `static org.eclipse.emf.ecore.EClass` | `INEXISTENT_VALUE` | The meta object literal for the '`Inexistent Value`' class.
    `static org.eclipse.emf.ecore.EClass` | `INTEGER_VALUE` | The meta object literal for the '`Integer Value`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `INTEGER_VALUE__INTEGER_VALUE` | The meta object literal for the 'Integer Value' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `ISO_DATE_AND_TIME_VALUE` | The meta object literal for the '`Iso Date And Time Value`' class.
    `static org.eclipse.emf.ecore.EClass` | `ISO_DATE_VALUE` | The meta object literal for the '`Iso Date Value`' class.
    `static org.eclipse.emf.ecore.EClass` | `ISO_TIME_VALUE` | The meta object literal for the '`Iso Time Value`' class.
    `static org.eclipse.emf.ecore.EClass` | `JAVA_CLASS_REFERENCE` | The meta object literal for the '`Java Class Reference`' class.
    `static org.eclipse.emf.ecore.EReference` | `JAVA_CLASS_REFERENCE__TYPE` | The meta object literal for the 'Type' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `JAVA_CONSTANT_REFERENCE` | The meta object literal for the '`Java Constant Reference`' class.
    `static org.eclipse.emf.ecore.EReference` | `JAVA_CONSTANT_REFERENCE__CONSTANT` | The meta object literal for the 'Constant' reference feature.
    `static org.eclipse.emf.ecore.EReference` | `JAVA_CONSTANT_REFERENCE__TYPE` | The meta object literal for the 'Type' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `JAVA_CONSTANT_VALUE` | The meta object literal for the '`Java Constant Value`' class.
    `static org.eclipse.emf.ecore.EReference` | `JAVA_CONSTANT_VALUE__CONSTANT` | The meta object literal for the 'Constant' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `KEY_VALUE_PAIR` | The meta object literal for the '`Key Value Pair`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `KEY_VALUE_PAIR__IDENTIFIER` | The meta object literal for the 'Identifier' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `KEY_VALUE_PAIR__STRING_IDENTIFIER` | The meta object literal for the 'String Identifier' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `KEY_VALUE_PAIR__VALUE` | The meta object literal for the 'Value' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `METHOD_REFERENCE` | The meta object literal for the '`Method Reference`' class.
    `static org.eclipse.emf.ecore.EReference` | `METHOD_REFERENCE__METHOD` | The meta object literal for the 'Method' reference feature.
    `static org.eclipse.emf.ecore.EReference` | `METHOD_REFERENCE__TYPE` | The meta object literal for the 'Type' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `MODEL` | The meta object literal for the '`Model`' class.
    `static org.eclipse.emf.ecore.EReference` | `MODEL__IMPORTS` | The meta object literal for the 'Imports' containment reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `MODEL__STATEMENTS` | The meta object literal for the 'Statements' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `NAMED_CALL_RESULT` | The meta object literal for the '`Named Call Result`' class.
    `static org.eclipse.emf.ecore.EReference` | `NAMED_CALL_RESULT__NAME` | The meta object literal for the 'Name' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `NAMED_CALL_RESULT__TARGET` | The meta object literal for the 'Target' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `NAMED_RESULT` | The meta object literal for the '`Named Result`' class.
    `static org.eclipse.emf.ecore.EReference` | `NAMED_RESULT__NAME` | The meta object literal for the 'Name' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `NAMED_RESULT__VALUE` | The meta object literal for the 'Value' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `NESTED_OBJECT` | The meta object literal for the '`Nested Object`' class.
    `static org.eclipse.emf.ecore.EReference` | `NESTED_OBJECT__ATTRIBUTES` | The meta object literal for the 'Attributes' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `NULL` | The meta object literal for the '`Null`' class.
    `static org.eclipse.emf.ecore.EClass` | `NULL_VALUE` | The meta object literal for the '`Null Value`' class.
    `static org.eclipse.emf.ecore.EClass` | `OPERATION` | The meta object literal for the '`Operation`' class.
    `static org.eclipse.emf.ecore.EClass` | `OPERATION_DEFINITION` | The meta object literal for the '`Operation Definition`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `OPERATION_DEFINITION__NAME` | The meta object literal for the 'Name' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `OPERATION_DEFINITION__OPERATION_TYPE` | The meta object literal for the 'Operation Type' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `PACKAGE_DEFINITION` | The meta object literal for the '`Package Definition`' class.
    `static org.eclipse.emf.ecore.EReference` | `PACKAGE_DEFINITION__STATEMENTS` | The meta object literal for the 'Statements' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `PACKAGE_STATEMENT` | The meta object literal for the '`Package Statement`' class.
    `static org.eclipse.emf.ecore.EClass` | `PARAMETER` | The meta object literal for the '`Parameter`' class.
    `static org.eclipse.emf.ecore.EReference` | `PARAMETER__NAME` | The meta object literal for the 'Name' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `PARAMETER__VALUE` | The meta object literal for the 'Value' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `PARAMETER_NAME` | The meta object literal for the '`Parameter Name`' class.
    `static org.eclipse.emf.ecore.EClass` | `PARAMETER_TABLE_HEADER` | The meta object literal for the '`Parameter Table Header`' class.
    `static org.eclipse.emf.ecore.EReference` | `PARAMETER_TABLE_HEADER__NAME` | The meta object literal for the 'Name' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `PARAMETER_TABLE_VALUE` | The meta object literal for the '`Parameter Table Value`' class.
    `static org.eclipse.emf.ecore.EReference` | `PARAMETER_TABLE_VALUE__VALUE` | The meta object literal for the 'Value' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `REGEX_VALUE` | The meta object literal for the '`Regex Value`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `REGEX_VALUE__REGEX_VALUE` | The meta object literal for the 'Regex Value' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `RESULT_NAME` | The meta object literal for the '`Result Name`' class.
    `static org.eclipse.emf.ecore.EClass` | `RESULT_TABLE_HEADER` | The meta object literal for the '`Result Table Header`' class.
    `static org.eclipse.emf.ecore.EReference` | `RESULT_TABLE_HEADER__NAME` | The meta object literal for the 'Name' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `SIMPLE12_HRS_TIME_VALUE` | The meta object literal for the '`Simple12 Hrs Time Value`' class.
    `static org.eclipse.emf.ecore.EClass` | `SIMPLE24_HRS_TIME_VALUE` | The meta object literal for the '`Simple24 Hrs Time Value`' class.
    `static org.eclipse.emf.ecore.EClass` | `STANDARD_OPERATION` | The meta object literal for the '`Standard Operation`' class.
    `static org.eclipse.emf.ecore.EReference` | `STANDARD_OPERATION__FIRST_OPERAND` | The meta object literal for the 'First Operand' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `STANDARD_OPERATION__MORE_OPERANDS` | The meta object literal for the 'More Operands' containment reference list feature.
    `static org.eclipse.emf.ecore.EAttribute` | `STANDARD_OPERATION__OPERATORS` | The meta object literal for the 'Operators' attribute list feature.
    `static org.eclipse.emf.ecore.EClass` | `STATEMENT` | The meta object literal for the '`Statement`' class.
    `static org.eclipse.emf.ecore.EReference` | `STATEMENT__DOCUMENTATION` | The meta object literal for the 'Documentation' containment reference feature.
    `static org.eclipse.emf.ecore.EAttribute` | `STATEMENT__NAME` | The meta object literal for the 'Name' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `STATIC_VALUE` | The meta object literal for the '`Static Value`' class.
    `static org.eclipse.emf.ecore.EClass` | `STRING_VALUE` | The meta object literal for the '`String Value`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `STRING_VALUE__STRING_VALUE` | The meta object literal for the 'String Value' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `SUITE` | The meta object literal for the '`Suite`' class.
    `static org.eclipse.emf.ecore.EReference` | `SUITE__DEFINITION` | The meta object literal for the 'Definition' reference feature.
    `static org.eclipse.emf.ecore.EReference` | `SUITE__FORK` | The meta object literal for the 'Fork' reference feature.
    `static org.eclipse.emf.ecore.EAttribute` | `SUITE__INLINED` | The meta object literal for the 'Inlined' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `SUITE__MULTIPLIER` | The meta object literal for the 'Multiplier' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `SUITE__PARAMETERS` | The meta object literal for the 'Parameters' containment reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `SUITE__RETURN` | The meta object literal for the 'Return' containment reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `SUITE__VARIANTS` | The meta object literal for the 'Variants' reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `SUITE_DEFINITION` | The meta object literal for the '`Suite Definition`' class.
    `static org.eclipse.emf.ecore.EReference` | `SUITE_DEFINITION__DEPENDENCIES` | The meta object literal for the 'Dependencies' reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `SUITE_DEFINITION__DOCUMENTATION` | The meta object literal for the 'Documentation' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `SUITE_DEFINITION__FINALIZERS` | The meta object literal for the 'Finalizers' reference list feature.
    `static org.eclipse.emf.ecore.EAttribute` | `SUITE_DEFINITION__INLINED` | The meta object literal for the 'Inlined' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `SUITE_DEFINITION__NAME` | The meta object literal for the 'Name' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `SUITE_DEFINITION__PARAMETERS` | The meta object literal for the 'Parameters' containment reference list feature.
    `static org.eclipse.emf.ecore.EAttribute` | `SUITE_DEFINITION__PRIVATE` | The meta object literal for the 'Private' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `SUITE_DEFINITION__RETURN` | The meta object literal for the 'Return' containment reference list feature.
    `static org.eclipse.emf.ecore.EAttribute` | `SUITE_DEFINITION__SINGLE_RUN` | The meta object literal for the 'Single Run' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `SUITE_DEFINITION__STATEMENTS` | The meta object literal for the 'Statements' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `SUITE_PARAMETER` | The meta object literal for the '`Suite Parameter`' class.
    `static org.eclipse.emf.ecore.EReference` | `SUITE_PARAMETER__NAME` | The meta object literal for the 'Name' reference feature.
    `static org.eclipse.emf.ecore.EReference` | `SUITE_PARAMETER__VALUE` | The meta object literal for the 'Value' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `SUITE_PARAMETER_DEFINITION` | The meta object literal for the '`Suite Parameter Definition`' class.
    `static org.eclipse.emf.ecore.EReference` | `SUITE_PARAMETER_DEFINITION__DEFAULT` | The meta object literal for the 'Default' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `SUITE_PARAMETER_DEFINITION__NAME` | The meta object literal for the 'Name' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `SUITE_RETURN` | The meta object literal for the '`Suite Return`' class.
    `static org.eclipse.emf.ecore.EReference` | `SUITE_RETURN__NAME` | The meta object literal for the 'Name' reference feature.
    `static org.eclipse.emf.ecore.EReference` | `SUITE_RETURN__TARGET` | The meta object literal for the 'Target' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `SUITE_RETURN_DEFINITION` | The meta object literal for the '`Suite Return Definition`' class.
    `static org.eclipse.emf.ecore.EReference` | `SUITE_RETURN_DEFINITION__NAME` | The meta object literal for the 'Name' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `SUITE_STATEMENT` | The meta object literal for the '`Suite Statement`' class.
    `static org.eclipse.emf.ecore.EClass` | `SUITE_STATEMENT_WITH_RESULT` | The meta object literal for the '`Suite Statement With Result`' class.
    `static org.eclipse.emf.ecore.EClass` | `TABLE_TEST` | The meta object literal for the '`Table Test`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `TABLE_TEST__DEFAULT_RESULT_COLUMN` | The meta object literal for the 'Default Result Column' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `TABLE_TEST__DEFINITION` | The meta object literal for the 'Definition' reference feature.
    `static org.eclipse.emf.ecore.EReference` | `TABLE_TEST__PARAMETER_HEADERS` | The meta object literal for the 'Parameter Headers' containment reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `TABLE_TEST__PARAMETERS` | The meta object literal for the 'Parameters' containment reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `TABLE_TEST__RESULT_HEADERS` | The meta object literal for the 'Result Headers' containment reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `TABLE_TEST__ROWS` | The meta object literal for the 'Rows' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `TABLE_TEST_ROW` | The meta object literal for the '`Table Test Row`' class.
    `static org.eclipse.emf.ecore.EReference` | `TABLE_TEST_ROW__VALUES` | The meta object literal for the 'Values' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `TEST` | The meta object literal for the '`Test`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `TEST__CHECKPOINT` | The meta object literal for the 'Checkpoint' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `TEST__DEFINITION` | The meta object literal for the 'Definition' reference feature.
    `static org.eclipse.emf.ecore.EReference` | `TEST__PARAMETERS` | The meta object literal for the 'Parameters' containment reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `TEST__RESULT` | The meta object literal for the 'Result' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `TEST__RESULTS` | The meta object literal for the 'Results' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `TEST_DEFINITION` | The meta object literal for the '`Test Definition`' class.
    `static org.eclipse.emf.ecore.EReference` | `TEST_DEFINITION__DOCUMENTATION` | The meta object literal for the 'Documentation' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `TEST_DEFINITION__FIXTURE_METHOD` | The meta object literal for the 'Fixture Method' containment reference feature.
    `static org.eclipse.emf.ecore.EAttribute` | `TEST_DEFINITION__NAME` | The meta object literal for the 'Name' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `TIME_DIFFERENCE` | The meta object literal for the '`Time Difference`' class.
    `static org.eclipse.emf.ecore.EReference` | `TIME_DIFFERENCE__CALCULATED_VALUE` | The meta object literal for the 'Calculated Value' containment reference feature.
    `static org.eclipse.emf.ecore.EAttribute` | `TIME_DIFFERENCE__DIRECTION` | The meta object literal for the 'Direction' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `TIME_DIFFERENCE__FIXED_VALUES` | The meta object literal for the 'Fixed Values' attribute list feature.
    `static org.eclipse.emf.ecore.EClass` | `TIME_PROGRESSION_FACTOR` | The meta object literal for the '`Time Progression Factor`' class.
    `static org.eclipse.emf.ecore.EReference` | `TIME_PROGRESSION_FACTOR__CALCULATED_VALUE` | The meta object literal for the 'Calculated Value' containment reference feature.
    `static org.eclipse.emf.ecore.EAttribute` | `TIME_PROGRESSION_FACTOR__FIXED_VALUE` | The meta object literal for the 'Fixed Value' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `TIME_SET` | The meta object literal for the '`Time Set`' class.
    `static org.eclipse.emf.ecore.EReference` | `TIME_SET__DIFF_TIME` | The meta object literal for the 'Diff Time' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `TIME_SET__FORKS` | The meta object literal for the 'Forks' reference list feature.
    `static org.eclipse.emf.ecore.EAttribute` | `TIME_SET__LIVE` | The meta object literal for the 'Live' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `TIME_SET__MASTER_FORK` | The meta object literal for the 'Master Fork' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `TIME_SET__PROGRESSION_FACTOR` | The meta object literal for the 'Progression Factor' containment reference feature.
    `static org.eclipse.emf.ecore.EAttribute` | `TIME_SET__PROGRESSION_MODE` | The meta object literal for the 'Progression Mode' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `TIME_SET__START_TIME` | The meta object literal for the 'Start Time' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `TIME_VALUE` | The meta object literal for the '`Time Value`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `TIME_VALUE__TIME_VALUE` | The meta object literal for the 'Time Value' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `TYPED_NESTED_OBJECT` | The meta object literal for the '`Typed Nested Object`' class.
    `static org.eclipse.emf.ecore.EReference` | `TYPED_NESTED_OBJECT__NESTED_OBJECT` | The meta object literal for the 'Nested Object' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `TYPED_NESTED_OBJECT__TYPE` | The meta object literal for the 'Type' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `US_DATE_AND12_HRS_TIME_VALUE` | The meta object literal for the '`US Date And12 Hrs Time Value`' class.
    `static org.eclipse.emf.ecore.EClass` | `US_DATE_VALUE` | The meta object literal for the '`US Date Value`' class.
    `static org.eclipse.emf.ecore.EClass` | `VALUE` | The meta object literal for the '`Value`' class.
    `static org.eclipse.emf.ecore.EClass` | `VALUE_OR_ENUM_VALUE_OR_OPERATION` | The meta object literal for the '`Value Or Enum Value Or Operation`' class.
    `static org.eclipse.emf.ecore.EClass` | `VALUE_OR_ENUM_VALUE_OR_OPERATION_COLLECTION` | The meta object literal for the '`Value Or Enum Value Or Operation Collection`' class.
    `static org.eclipse.emf.ecore.EReference` | `VALUE_OR_ENUM_VALUE_OR_OPERATION_COLLECTION__MORE_VALUES` | The meta object literal for the 'More Values' containment reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `VALUE_OR_ENUM_VALUE_OR_OPERATION_COLLECTION__VALUE` | The meta object literal for the 'Value' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `VARIABLE` | The meta object literal for the '`Variable`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `VARIABLE__ATTRIBUTE` | The meta object literal for the 'Attribute' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `VARIABLE__NAME` | The meta object literal for the 'Name' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `VARIABLE_ASSIGNMENT` | The meta object literal for the '`Variable Assignment`' class.
    `static org.eclipse.emf.ecore.EReference` | `VARIABLE_ASSIGNMENT__TARGET` | The meta object literal for the 'Target' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `VARIABLE_ASSIGNMENT__VALUE` | The meta object literal for the 'Value' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `VARIABLE_DEFINITION` | The meta object literal for the '`Variable Definition`' class.
    `static org.eclipse.emf.ecore.EReference` | `VARIABLE_DEFINITION__INITIAL_VALUE` | The meta object literal for the 'Initial Value' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `VARIABLE_DEFINITION__NAME` | The meta object literal for the 'Name' containment reference feature.
    `static org.eclipse.emf.ecore.EAttribute` | `VARIABLE_DEFINITION__PRIVATE` | The meta object literal for the 'Private' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `VARIABLE_ENTITY` | The meta object literal for the '`Variable Entity`' class.
    `static org.eclipse.emf.ecore.EClass` | `VARIABLE_OR_CONSTANT_ENTITY` | The meta object literal for the '`Variable Or Constant Entity`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `VARIABLE_OR_CONSTANT_ENTITY__NAME` | The meta object literal for the 'Name' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `VARIABLE_VARIABLE` | The meta object literal for the '`Variable Variable`' class.
    `static org.eclipse.emf.ecore.EReference` | `VARIABLE_VARIABLE__NAME` | The meta object literal for the 'Name' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `VARIANT_DEFINITION` | The meta object literal for the '`Variant Definition`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `VARIANT_DEFINITION__DESCRIPTION` | The meta object literal for the 'Description' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `VARIANT_VALUE` | The meta object literal for the '`Variant Value`' class.
    `static org.eclipse.emf.ecore.EReference` | `VARIANT_VALUE__NAMES` | The meta object literal for the 'Names' reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `VARIANT_VALUE__VALUE` | The meta object literal for the 'Value' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `VISIBLE_COMMENT` | The meta object literal for the '`Visible Comment`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `VISIBLE_COMMENT__CONTENT` | The meta object literal for the 'Content' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `VISIBLE_DIVIDER` | The meta object literal for the '`Visible Divider`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `VISIBLE_DIVIDER__CONTENT` | The meta object literal for the 'Content' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `VISIBLE_MULTI_LINE_COMMENT` | The meta object literal for the '`Visible Multi Line Comment`' class.
    `static org.eclipse.emf.ecore.EClass` | `VISIBLE_MULTI_LINE_NORMAL_COMMENT` | The meta object literal for the '`Visible Multi Line Normal Comment`' class.
    `static org.eclipse.emf.ecore.EClass` | `VISIBLE_MULTI_LINE_TITLE_COMMENT` | The meta object literal for the '`Visible Multi Line Title Comment`' class.
    `static org.eclipse.emf.ecore.EClass` | `VISIBLE_SINGLE_LINE_COMMENT` | The meta object literal for the '`Visible Single Line Comment`' class.
    `static org.eclipse.emf.ecore.EClass` | `VISIBLE_SINGLE_LINE_NORMAL_COMMENT` | The meta object literal for the '`Visible Single Line Normal Comment`' class.
    `static org.eclipse.emf.ecore.EClass` | `VISIBLE_SINGLE_LINE_TITLE_COMMENT` | The meta object literal for the '`Visible Single Line Title Comment`' class.

- - ### Field Detail

    - #### MODEL

          static final org.eclipse.emf.ecore.EClass MODEL

      The meta object literal for the '`Model`' class.
      See Also:
        `ModelImpl`, `DslPackageImpl.getModel()`

    - #### MODEL__IMPORTS

          static final org.eclipse.emf.ecore.EReference MODEL__IMPORTS

      The meta object literal for the 'Imports' containment reference list feature.

    - #### MODEL__STATEMENTS

          static final org.eclipse.emf.ecore.EReference MODEL__STATEMENTS

      The meta object literal for the 'Statements' containment reference list feature.

    - #### STATEMENT

          static final org.eclipse.emf.ecore.EClass STATEMENT

      The meta object literal for the '`Statement`' class.
      See Also:
        `StatementImpl`, `DslPackageImpl.getStatement()`

    - #### STATEMENT__DOCUMENTATION

          static final org.eclipse.emf.ecore.EReference STATEMENT__DOCUMENTATION

      The meta object literal for the 'Documentation' containment reference feature.

    - #### STATEMENT__NAME

          static final org.eclipse.emf.ecore.EAttribute STATEMENT__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### VISIBLE_COMMENT

          static final org.eclipse.emf.ecore.EClass VISIBLE_COMMENT

      The meta object literal for the '`Visible Comment`' class.
      See Also:
        `VisibleCommentImpl`, `DslPackageImpl.getVisibleComment()`

    - #### VISIBLE_COMMENT__CONTENT

          static final org.eclipse.emf.ecore.EAttribute VISIBLE_COMMENT__CONTENT

      The meta object literal for the 'Content' attribute feature.

    - #### VISIBLE_SINGLE_LINE_COMMENT

          static final org.eclipse.emf.ecore.EClass VISIBLE_SINGLE_LINE_COMMENT

      The meta object literal for the '`Visible Single Line Comment`' class.
      See Also:
        `VisibleSingleLineCommentImpl`, `DslPackageImpl.getVisibleSingleLineComment()`

    - #### VISIBLE_SINGLE_LINE_NORMAL_COMMENT

          static final org.eclipse.emf.ecore.EClass VISIBLE_SINGLE_LINE_NORMAL_COMMENT

      The meta object literal for the '`Visible Single Line Normal Comment`' class.
      See Also:
        `VisibleSingleLineNormalCommentImpl`, `DslPackageImpl.getVisibleSingleLineNormalComment()`

    - #### VISIBLE_SINGLE_LINE_TITLE_COMMENT

          static final org.eclipse.emf.ecore.EClass VISIBLE_SINGLE_LINE_TITLE_COMMENT

      The meta object literal for the '`Visible Single Line Title Comment`' class.
      See Also:
        `VisibleSingleLineTitleCommentImpl`, `DslPackageImpl.getVisibleSingleLineTitleComment()`

    - #### VISIBLE_MULTI_LINE_COMMENT

          static final org.eclipse.emf.ecore.EClass VISIBLE_MULTI_LINE_COMMENT

      The meta object literal for the '`Visible Multi Line Comment`' class.
      See Also:
        `VisibleMultiLineCommentImpl`, `DslPackageImpl.getVisibleMultiLineComment()`

    - #### VISIBLE_MULTI_LINE_NORMAL_COMMENT

          static final org.eclipse.emf.ecore.EClass VISIBLE_MULTI_LINE_NORMAL_COMMENT

      The meta object literal for the '`Visible Multi Line Normal Comment`' class.
      See Also:
        `VisibleMultiLineNormalCommentImpl`, `DslPackageImpl.getVisibleMultiLineNormalComment()`

    - #### VISIBLE_MULTI_LINE_TITLE_COMMENT

          static final org.eclipse.emf.ecore.EClass VISIBLE_MULTI_LINE_TITLE_COMMENT

      The meta object literal for the '`Visible Multi Line Title Comment`' class.
      See Also:
        `VisibleMultiLineTitleCommentImpl`, `DslPackageImpl.getVisibleMultiLineTitleComment()`

    - #### VISIBLE_DIVIDER

          static final org.eclipse.emf.ecore.EClass VISIBLE_DIVIDER

      The meta object literal for the '`Visible Divider`' class.
      See Also:
        `VisibleDividerImpl`, `DslPackageImpl.getVisibleDivider()`

    - #### VISIBLE_DIVIDER__CONTENT

          static final org.eclipse.emf.ecore.EAttribute VISIBLE_DIVIDER__CONTENT

      The meta object literal for the 'Content' attribute feature.

    - #### PACKAGE_DEFINITION

          static final org.eclipse.emf.ecore.EClass PACKAGE_DEFINITION

      The meta object literal for the '`Package Definition`' class.
      See Also:
        `PackageDefinitionImpl`, `DslPackageImpl.getPackageDefinition()`

    - #### PACKAGE_DEFINITION__STATEMENTS

          static final org.eclipse.emf.ecore.EReference PACKAGE_DEFINITION__STATEMENTS

      The meta object literal for the 'Statements' containment reference list feature.

    - #### PACKAGE_STATEMENT

          static final org.eclipse.emf.ecore.EClass PACKAGE_STATEMENT

      The meta object literal for the '`Package Statement`' class.
      See Also:
        `PackageStatementImpl`, `DslPackageImpl.getPackageStatement()`

    - #### IMPORT

          static final org.eclipse.emf.ecore.EClass IMPORT

      The meta object literal for the '`Import`' class.
      See Also:
        `ImportImpl`, `DslPackageImpl.getImport()`

    - #### IMPORT__IMPORTED_NAMESPACE

          static final org.eclipse.emf.ecore.EAttribute IMPORT__IMPORTED_NAMESPACE

      The meta object literal for the 'Imported Namespace' attribute feature.

    - #### FORK_DEFINITION

          static final org.eclipse.emf.ecore.EClass FORK_DEFINITION

      The meta object literal for the '`Fork Definition`' class.
      See Also:
        `ForkDefinitionImpl`, `DslPackageImpl.getForkDefinition()`

    - #### FORK_DEFINITION__PRIVATE

          static final org.eclipse.emf.ecore.EAttribute FORK_DEFINITION__PRIVATE

      The meta object literal for the 'Private' attribute feature.

    - #### FORK_DEFINITION__DESCRIPTION

          static final org.eclipse.emf.ecore.EAttribute FORK_DEFINITION__DESCRIPTION

      The meta object literal for the 'Description' attribute feature.

    - #### FORK_DEFINITION__FORKER_CLASS

          static final org.eclipse.emf.ecore.EReference FORK_DEFINITION__FORKER_CLASS

      The meta object literal for the 'Forker Class' containment reference feature.

    - #### FORK_DEFINITION__BASE_FORK

          static final org.eclipse.emf.ecore.EReference FORK_DEFINITION__BASE_FORK

      The meta object literal for the 'Base Fork' reference feature.

    - #### FORK_DEFINITION__PARAMETERS

          static final org.eclipse.emf.ecore.EReference FORK_DEFINITION__PARAMETERS

      The meta object literal for the 'Parameters' containment reference list feature.

    - #### FORK_PARAMETER

          static final org.eclipse.emf.ecore.EClass FORK_PARAMETER

      The meta object literal for the '`Fork Parameter`' class.
      See Also:
        `ForkParameterImpl`, `DslPackageImpl.getForkParameter()`

    - #### FORK_PARAMETER__NAME

          static final org.eclipse.emf.ecore.EReference FORK_PARAMETER__NAME

      The meta object literal for the 'Name' containment reference feature.

    - #### FORK_PARAMETER__VALUE

          static final org.eclipse.emf.ecore.EReference FORK_PARAMETER__VALUE

      The meta object literal for the 'Value' containment reference feature.

    - #### VARIANT_DEFINITION

          static final org.eclipse.emf.ecore.EClass VARIANT_DEFINITION

      The meta object literal for the '`Variant Definition`' class.
      See Also:
        `VariantDefinitionImpl`, `DslPackageImpl.getVariantDefinition()`

    - #### VARIANT_DEFINITION__DESCRIPTION

          static final org.eclipse.emf.ecore.EAttribute VARIANT_DEFINITION__DESCRIPTION

      The meta object literal for the 'Description' attribute feature.

    - #### TEST_DEFINITION

          static final org.eclipse.emf.ecore.EClass TEST_DEFINITION

      The meta object literal for the '`Test Definition`' class.
      See Also:
        `TestDefinitionImpl`, `DslPackageImpl.getTestDefinition()`

    - #### TEST_DEFINITION__DOCUMENTATION

          static final org.eclipse.emf.ecore.EReference TEST_DEFINITION__DOCUMENTATION

      The meta object literal for the 'Documentation' containment reference feature.

    - #### TEST_DEFINITION__NAME

          static final org.eclipse.emf.ecore.EAttribute TEST_DEFINITION__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### TEST_DEFINITION__FIXTURE_METHOD

          static final org.eclipse.emf.ecore.EReference TEST_DEFINITION__FIXTURE_METHOD

      The meta object literal for the 'Fixture Method' containment reference feature.

    - #### CALL_DEFINITION

          static final org.eclipse.emf.ecore.EClass CALL_DEFINITION

      The meta object literal for the '`Call Definition`' class.
      See Also:
        `CallDefinitionImpl`, `DslPackageImpl.getCallDefinition()`

    - #### CALL_DEFINITION__DOCUMENTATION

          static final org.eclipse.emf.ecore.EReference CALL_DEFINITION__DOCUMENTATION

      The meta object literal for the 'Documentation' containment reference feature.

    - #### CALL_DEFINITION__NAME

          static final org.eclipse.emf.ecore.EAttribute CALL_DEFINITION__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### CALL_DEFINITION__FIXTURE_METHOD

          static final org.eclipse.emf.ecore.EReference CALL_DEFINITION__FIXTURE_METHOD

      The meta object literal for the 'Fixture Method' containment reference feature.

    - #### SUITE_DEFINITION

          static final org.eclipse.emf.ecore.EClass SUITE_DEFINITION

      The meta object literal for the '`Suite Definition`' class.
      See Also:
        `SuiteDefinitionImpl`, `DslPackageImpl.getSuiteDefinition()`

    - #### SUITE_DEFINITION__DOCUMENTATION

          static final org.eclipse.emf.ecore.EReference SUITE_DEFINITION__DOCUMENTATION

      The meta object literal for the 'Documentation' containment reference feature.

    - #### SUITE_DEFINITION__PRIVATE

          static final org.eclipse.emf.ecore.EAttribute SUITE_DEFINITION__PRIVATE

      The meta object literal for the 'Private' attribute feature.

    - #### SUITE_DEFINITION__SINGLE_RUN

          static final org.eclipse.emf.ecore.EAttribute SUITE_DEFINITION__SINGLE_RUN

      The meta object literal for the 'Single Run' attribute feature.

    - #### SUITE_DEFINITION__INLINED

          static final org.eclipse.emf.ecore.EAttribute SUITE_DEFINITION__INLINED

      The meta object literal for the 'Inlined' attribute feature.

    - #### SUITE_DEFINITION__NAME

          static final org.eclipse.emf.ecore.EAttribute SUITE_DEFINITION__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### SUITE_DEFINITION__PARAMETERS

          static final org.eclipse.emf.ecore.EReference SUITE_DEFINITION__PARAMETERS

      The meta object literal for the 'Parameters' containment reference list feature.

    - #### SUITE_DEFINITION__RETURN

          static final org.eclipse.emf.ecore.EReference SUITE_DEFINITION__RETURN

      The meta object literal for the 'Return' containment reference list feature.

    - #### SUITE_DEFINITION__DEPENDENCIES

          static final org.eclipse.emf.ecore.EReference SUITE_DEFINITION__DEPENDENCIES

      The meta object literal for the 'Dependencies' reference list feature.

    - #### SUITE_DEFINITION__FINALIZERS

          static final org.eclipse.emf.ecore.EReference SUITE_DEFINITION__FINALIZERS

      The meta object literal for the 'Finalizers' reference list feature.

    - #### SUITE_DEFINITION__STATEMENTS

          static final org.eclipse.emf.ecore.EReference SUITE_DEFINITION__STATEMENTS

      The meta object literal for the 'Statements' containment reference list feature.

    - #### SUITE_PARAMETER_DEFINITION

          static final org.eclipse.emf.ecore.EClass SUITE_PARAMETER_DEFINITION

      The meta object literal for the '`Suite Parameter Definition`' class.
      See Also:
        `SuiteParameterDefinitionImpl`, `DslPackageImpl.getSuiteParameterDefinition()`

    - #### SUITE_PARAMETER_DEFINITION__NAME

          static final org.eclipse.emf.ecore.EReference SUITE_PARAMETER_DEFINITION__NAME

      The meta object literal for the 'Name' containment reference feature.

    - #### SUITE_PARAMETER_DEFINITION__DEFAULT

          static final org.eclipse.emf.ecore.EReference SUITE_PARAMETER_DEFINITION__DEFAULT

      The meta object literal for the 'Default' containment reference feature.

    - #### SUITE_RETURN_DEFINITION

          static final org.eclipse.emf.ecore.EClass SUITE_RETURN_DEFINITION

      The meta object literal for the '`Suite Return Definition`' class.
      See Also:
        `SuiteReturnDefinitionImpl`, `DslPackageImpl.getSuiteReturnDefinition()`

    - #### SUITE_RETURN_DEFINITION__NAME

          static final org.eclipse.emf.ecore.EReference SUITE_RETURN_DEFINITION__NAME

      The meta object literal for the 'Name' containment reference feature.

    - #### OPERATION_DEFINITION

          static final org.eclipse.emf.ecore.EClass OPERATION_DEFINITION

      The meta object literal for the '`Operation Definition`' class.
      See Also:
        `OperationDefinitionImpl`, `DslPackageImpl.getOperationDefinition()`

    - #### OPERATION_DEFINITION__NAME

          static final org.eclipse.emf.ecore.EAttribute OPERATION_DEFINITION__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### OPERATION_DEFINITION__OPERATION_TYPE

          static final org.eclipse.emf.ecore.EReference OPERATION_DEFINITION__OPERATION_TYPE

      The meta object literal for the 'Operation Type' containment reference feature.

    - #### SUITE_STATEMENT

          static final org.eclipse.emf.ecore.EClass SUITE_STATEMENT

      The meta object literal for the '`Suite Statement`' class.
      See Also:
        `SuiteStatementImpl`, `DslPackageImpl.getSuiteStatement()`

    - #### SUITE_STATEMENT_WITH_RESULT

          static final org.eclipse.emf.ecore.EClass SUITE_STATEMENT_WITH_RESULT

      The meta object literal for the '`Suite Statement With Result`' class.
      See Also:
        `SuiteStatementWithResultImpl`, `DslPackageImpl.getSuiteStatementWithResult()`

    - #### VARIABLE_DEFINITION

          static final org.eclipse.emf.ecore.EClass VARIABLE_DEFINITION

      The meta object literal for the '`Variable Definition`' class.
      See Also:
        `VariableDefinitionImpl`, `DslPackageImpl.getVariableDefinition()`

    - #### VARIABLE_DEFINITION__PRIVATE

          static final org.eclipse.emf.ecore.EAttribute VARIABLE_DEFINITION__PRIVATE

      The meta object literal for the 'Private' attribute feature.

    - #### VARIABLE_DEFINITION__NAME

          static final org.eclipse.emf.ecore.EReference VARIABLE_DEFINITION__NAME

      The meta object literal for the 'Name' containment reference feature.

    - #### VARIABLE_DEFINITION__INITIAL_VALUE

          static final org.eclipse.emf.ecore.EReference VARIABLE_DEFINITION__INITIAL_VALUE

      The meta object literal for the 'Initial Value' containment reference feature.

    - #### CONSTANT_DEFINITION

          static final org.eclipse.emf.ecore.EClass CONSTANT_DEFINITION

      The meta object literal for the '`Constant Definition`' class.
      See Also:
        `ConstantDefinitionImpl`, `DslPackageImpl.getConstantDefinition()`

    - #### CONSTANT_DEFINITION__DOCUMENTATION

          static final org.eclipse.emf.ecore.EReference CONSTANT_DEFINITION__DOCUMENTATION

      The meta object literal for the 'Documentation' containment reference feature.

    - #### CONSTANT_DEFINITION__PRIVATE

          static final org.eclipse.emf.ecore.EAttribute CONSTANT_DEFINITION__PRIVATE

      The meta object literal for the 'Private' attribute feature.

    - #### CONSTANT_DEFINITION__NAME

          static final org.eclipse.emf.ecore.EReference CONSTANT_DEFINITION__NAME

      The meta object literal for the 'Name' containment reference feature.

    - #### CONSTANT_DEFINITION__VALUE

          static final org.eclipse.emf.ecore.EReference CONSTANT_DEFINITION__VALUE

      The meta object literal for the 'Value' containment reference feature.

    - #### CONSTANT_DEFINITION__VARIANT_VALUES

          static final org.eclipse.emf.ecore.EReference CONSTANT_DEFINITION__VARIANT_VALUES

      The meta object literal for the 'Variant Values' containment reference list feature.

    - #### CONSTANT_DEFINITION__PARAMETERIZED

          static final org.eclipse.emf.ecore.EAttribute CONSTANT_DEFINITION__PARAMETERIZED

      The meta object literal for the 'Parameterized' attribute feature.

    - #### VARIABLE_ASSIGNMENT

          static final org.eclipse.emf.ecore.EClass VARIABLE_ASSIGNMENT

      The meta object literal for the '`Variable Assignment`' class.
      See Also:
        `VariableAssignmentImpl`, `DslPackageImpl.getVariableAssignment()`

    - #### VARIABLE_ASSIGNMENT__VALUE

          static final org.eclipse.emf.ecore.EReference VARIABLE_ASSIGNMENT__VALUE

      The meta object literal for the 'Value' containment reference feature.

    - #### VARIABLE_ASSIGNMENT__TARGET

          static final org.eclipse.emf.ecore.EReference VARIABLE_ASSIGNMENT__TARGET

      The meta object literal for the 'Target' containment reference feature.

    - #### VARIANT_VALUE

          static final org.eclipse.emf.ecore.EClass VARIANT_VALUE

      The meta object literal for the '`Variant Value`' class.
      See Also:
        `VariantValueImpl`, `DslPackageImpl.getVariantValue()`

    - #### VARIANT_VALUE__NAMES

          static final org.eclipse.emf.ecore.EReference VARIANT_VALUE__NAMES

      The meta object literal for the 'Names' reference list feature.

    - #### VARIANT_VALUE__VALUE

          static final org.eclipse.emf.ecore.EReference VARIANT_VALUE__VALUE

      The meta object literal for the 'Value' containment reference feature.

    - #### VARIABLE_ENTITY

          static final org.eclipse.emf.ecore.EClass VARIABLE_ENTITY

      The meta object literal for the '`Variable Entity`' class.
      See Also:
        `VariableEntityImpl`, `DslPackageImpl.getVariableEntity()`

    - #### CONSTANT_ENTITY

          static final org.eclipse.emf.ecore.EClass CONSTANT_ENTITY

      The meta object literal for the '`Constant Entity`' class.
      See Also:
        `ConstantEntityImpl`, `DslPackageImpl.getConstantEntity()`

    - #### VARIABLE_OR_CONSTANT_ENTITY

          static final org.eclipse.emf.ecore.EClass VARIABLE_OR_CONSTANT_ENTITY

      The meta object literal for the '`Variable Or Constant Entity`' class.
      See Also:
        `VariableOrConstantEntityImpl`, `DslPackageImpl.getVariableOrConstantEntity()`

    - #### VARIABLE_OR_CONSTANT_ENTITY__NAME

          static final org.eclipse.emf.ecore.EAttribute VARIABLE_OR_CONSTANT_ENTITY__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### TEST

          static final org.eclipse.emf.ecore.EClass TEST

      The meta object literal for the '`Test`' class.
      See Also:
        `TestImpl`, `DslPackageImpl.getTest()`

    - #### TEST__CHECKPOINT

          static final org.eclipse.emf.ecore.EAttribute TEST__CHECKPOINT

      The meta object literal for the 'Checkpoint' attribute feature.

    - #### TEST__DEFINITION

          static final org.eclipse.emf.ecore.EReference TEST__DEFINITION

      The meta object literal for the 'Definition' reference feature.

    - #### TEST__PARAMETERS

          static final org.eclipse.emf.ecore.EReference TEST__PARAMETERS

      The meta object literal for the 'Parameters' containment reference list feature.

    - #### TEST__RESULTS

          static final org.eclipse.emf.ecore.EReference TEST__RESULTS

      The meta object literal for the 'Results' containment reference list feature.

    - #### TEST__RESULT

          static final org.eclipse.emf.ecore.EReference TEST__RESULT

      The meta object literal for the 'Result' containment reference feature.

    - #### TABLE_TEST

          static final org.eclipse.emf.ecore.EClass TABLE_TEST

      The meta object literal for the '`Table Test`' class.
      See Also:
        `TableTestImpl`, `DslPackageImpl.getTableTest()`

    - #### TABLE_TEST__DEFINITION

          static final org.eclipse.emf.ecore.EReference TABLE_TEST__DEFINITION

      The meta object literal for the 'Definition' reference feature.

    - #### TABLE_TEST__PARAMETERS

          static final org.eclipse.emf.ecore.EReference TABLE_TEST__PARAMETERS

      The meta object literal for the 'Parameters' containment reference list feature.

    - #### TABLE_TEST__PARAMETER_HEADERS

          static final org.eclipse.emf.ecore.EReference TABLE_TEST__PARAMETER_HEADERS

      The meta object literal for the 'Parameter Headers' containment reference list feature.

    - #### TABLE_TEST__RESULT_HEADERS

          static final org.eclipse.emf.ecore.EReference TABLE_TEST__RESULT_HEADERS

      The meta object literal for the 'Result Headers' containment reference list feature.

    - #### TABLE_TEST__DEFAULT_RESULT_COLUMN

          static final org.eclipse.emf.ecore.EAttribute TABLE_TEST__DEFAULT_RESULT_COLUMN

      The meta object literal for the 'Default Result Column' attribute feature.

    - #### TABLE_TEST__ROWS

          static final org.eclipse.emf.ecore.EReference TABLE_TEST__ROWS

      The meta object literal for the 'Rows' containment reference list feature.

    - #### TABLE_TEST_ROW

          static final org.eclipse.emf.ecore.EClass TABLE_TEST_ROW

      The meta object literal for the '`Table Test Row`' class.
      See Also:
        `TableTestRowImpl`, `DslPackageImpl.getTableTestRow()`

    - #### TABLE_TEST_ROW__VALUES

          static final org.eclipse.emf.ecore.EReference TABLE_TEST_ROW__VALUES

      The meta object literal for the 'Values' containment reference list feature.

    - #### PARAMETER_TABLE_HEADER

          static final org.eclipse.emf.ecore.EClass PARAMETER_TABLE_HEADER

      The meta object literal for the '`Parameter Table Header`' class.
      See Also:
        `ParameterTableHeaderImpl`, `DslPackageImpl.getParameterTableHeader()`

    - #### PARAMETER_TABLE_HEADER__NAME

          static final org.eclipse.emf.ecore.EReference PARAMETER_TABLE_HEADER__NAME

      The meta object literal for the 'Name' containment reference feature.

    - #### RESULT_TABLE_HEADER

          static final org.eclipse.emf.ecore.EClass RESULT_TABLE_HEADER

      The meta object literal for the '`Result Table Header`' class.
      See Also:
        `ResultTableHeaderImpl`, `DslPackageImpl.getResultTableHeader()`

    - #### RESULT_TABLE_HEADER__NAME

          static final org.eclipse.emf.ecore.EReference RESULT_TABLE_HEADER__NAME

      The meta object literal for the 'Name' containment reference feature.

    - #### PARAMETER_TABLE_VALUE

          static final org.eclipse.emf.ecore.EClass PARAMETER_TABLE_VALUE

      The meta object literal for the '`Parameter Table Value`' class.
      See Also:
        `ParameterTableValueImpl`, `DslPackageImpl.getParameterTableValue()`

    - #### PARAMETER_TABLE_VALUE__VALUE

          static final org.eclipse.emf.ecore.EReference PARAMETER_TABLE_VALUE__VALUE

      The meta object literal for the 'Value' containment reference feature.

    - #### NAMED_RESULT

          static final org.eclipse.emf.ecore.EClass NAMED_RESULT

      The meta object literal for the '`Named Result`' class.
      See Also:
        `NamedResultImpl`, `DslPackageImpl.getNamedResult()`

    - #### NAMED_RESULT__NAME

          static final org.eclipse.emf.ecore.EReference NAMED_RESULT__NAME

      The meta object literal for the 'Name' containment reference feature.

    - #### NAMED_RESULT__VALUE

          static final org.eclipse.emf.ecore.EReference NAMED_RESULT__VALUE

      The meta object literal for the 'Value' containment reference feature.

    - #### RESULT_NAME

          static final org.eclipse.emf.ecore.EClass RESULT_NAME

      The meta object literal for the '`Result Name`' class.
      See Also:
        `ResultNameImpl`, `DslPackageImpl.getResultName()`

    - #### FIXED_RESULT_NAME

          static final org.eclipse.emf.ecore.EClass FIXED_RESULT_NAME

      The meta object literal for the '`Fixed Result Name`' class.
      See Also:
        `FixedResultNameImpl`, `DslPackageImpl.getFixedResultName()`

    - #### FIXED_RESULT_NAME__FIELD

          static final org.eclipse.emf.ecore.EReference FIXED_RESULT_NAME__FIELD

      The meta object literal for the 'Field' reference feature.

    - #### CALL

          static final org.eclipse.emf.ecore.EClass CALL

      The meta object literal for the '`Call`' class.
      See Also:
        `CallImpl`, `DslPackageImpl.getCall()`

    - #### CALL__MULTIPLIER

          static final org.eclipse.emf.ecore.EReference CALL__MULTIPLIER

      The meta object literal for the 'Multiplier' containment reference feature.

    - #### CALL__DEFINITION

          static final org.eclipse.emf.ecore.EReference CALL__DEFINITION

      The meta object literal for the 'Definition' reference feature.

    - #### CALL__PARAMETERS

          static final org.eclipse.emf.ecore.EReference CALL__PARAMETERS

      The meta object literal for the 'Parameters' containment reference list feature.

    - #### CALL__RESULTS

          static final org.eclipse.emf.ecore.EReference CALL__RESULTS

      The meta object literal for the 'Results' containment reference list feature.

    - #### CALL__RESULT

          static final org.eclipse.emf.ecore.EReference CALL__RESULT

      The meta object literal for the 'Result' containment reference feature.

    - #### NAMED_CALL_RESULT

          static final org.eclipse.emf.ecore.EClass NAMED_CALL_RESULT

      The meta object literal for the '`Named Call Result`' class.
      See Also:
        `NamedCallResultImpl`, `DslPackageImpl.getNamedCallResult()`

    - #### NAMED_CALL_RESULT__NAME

          static final org.eclipse.emf.ecore.EReference NAMED_CALL_RESULT__NAME

      The meta object literal for the 'Name' containment reference feature.

    - #### NAMED_CALL_RESULT__TARGET

          static final org.eclipse.emf.ecore.EReference NAMED_CALL_RESULT__TARGET

      The meta object literal for the 'Target' containment reference feature.

    - #### TIME_SET

          static final org.eclipse.emf.ecore.EClass TIME_SET

      The meta object literal for the '`Time Set`' class.
      See Also:
        `TimeSetImpl`, `DslPackageImpl.getTimeSet()`

    - #### TIME_SET__LIVE

          static final org.eclipse.emf.ecore.EAttribute TIME_SET__LIVE

      The meta object literal for the 'Live' attribute feature.

    - #### TIME_SET__START_TIME

          static final org.eclipse.emf.ecore.EReference TIME_SET__START_TIME

      The meta object literal for the 'Start Time' containment reference feature.

    - #### TIME_SET__DIFF_TIME

          static final org.eclipse.emf.ecore.EReference TIME_SET__DIFF_TIME

      The meta object literal for the 'Diff Time' containment reference feature.

    - #### TIME_SET__PROGRESSION_MODE

          static final org.eclipse.emf.ecore.EAttribute TIME_SET__PROGRESSION_MODE

      The meta object literal for the 'Progression Mode' attribute feature.

    - #### TIME_SET__PROGRESSION_FACTOR

          static final org.eclipse.emf.ecore.EReference TIME_SET__PROGRESSION_FACTOR

      The meta object literal for the 'Progression Factor' containment reference feature.

    - #### TIME_SET__FORKS

          static final org.eclipse.emf.ecore.EReference TIME_SET__FORKS

      The meta object literal for the 'Forks' reference list feature.

    - #### TIME_SET__MASTER_FORK

          static final org.eclipse.emf.ecore.EAttribute TIME_SET__MASTER_FORK

      The meta object literal for the 'Master Fork' attribute feature.

    - #### TIME_PROGRESSION_FACTOR

          static final org.eclipse.emf.ecore.EClass TIME_PROGRESSION_FACTOR

      The meta object literal for the '`Time Progression Factor`' class.
      See Also:
        `TimeProgressionFactorImpl`, `DslPackageImpl.getTimeProgressionFactor()`

    - #### TIME_PROGRESSION_FACTOR__FIXED_VALUE

          static final org.eclipse.emf.ecore.EAttribute TIME_PROGRESSION_FACTOR__FIXED_VALUE

      The meta object literal for the 'Fixed Value' attribute feature.

    - #### TIME_PROGRESSION_FACTOR__CALCULATED_VALUE

          static final org.eclipse.emf.ecore.EReference TIME_PROGRESSION_FACTOR__CALCULATED_VALUE

      The meta object literal for the 'Calculated Value' containment reference feature.

    - #### TIME_DIFFERENCE

          static final org.eclipse.emf.ecore.EClass TIME_DIFFERENCE

      The meta object literal for the '`Time Difference`' class.
      See Also:
        `TimeDifferenceImpl`, `DslPackageImpl.getTimeDifference()`

    - #### TIME_DIFFERENCE__DIRECTION

          static final org.eclipse.emf.ecore.EAttribute TIME_DIFFERENCE__DIRECTION

      The meta object literal for the 'Direction' attribute feature.

    - #### TIME_DIFFERENCE__FIXED_VALUES

          static final org.eclipse.emf.ecore.EAttribute TIME_DIFFERENCE__FIXED_VALUES

      The meta object literal for the 'Fixed Values' attribute list feature.

    - #### TIME_DIFFERENCE__CALCULATED_VALUE

          static final org.eclipse.emf.ecore.EReference TIME_DIFFERENCE__CALCULATED_VALUE

      The meta object literal for the 'Calculated Value' containment reference feature.

    - #### SUITE

          static final org.eclipse.emf.ecore.EClass SUITE

      The meta object literal for the '`Suite`' class.
      See Also:
        `SuiteImpl`, `DslPackageImpl.getSuite()`

    - #### SUITE__INLINED

          static final org.eclipse.emf.ecore.EAttribute SUITE__INLINED

      The meta object literal for the 'Inlined' attribute feature.

    - #### SUITE__MULTIPLIER

          static final org.eclipse.emf.ecore.EReference SUITE__MULTIPLIER

      The meta object literal for the 'Multiplier' containment reference feature.

    - #### SUITE__DEFINITION

          static final org.eclipse.emf.ecore.EReference SUITE__DEFINITION

      The meta object literal for the 'Definition' reference feature.

    - #### SUITE__PARAMETERS

          static final org.eclipse.emf.ecore.EReference SUITE__PARAMETERS

      The meta object literal for the 'Parameters' containment reference list feature.

    - #### SUITE__RETURN

          static final org.eclipse.emf.ecore.EReference SUITE__RETURN

      The meta object literal for the 'Return' containment reference list feature.

    - #### SUITE__FORK

          static final org.eclipse.emf.ecore.EReference SUITE__FORK

      The meta object literal for the 'Fork' reference feature.

    - #### SUITE__VARIANTS

          static final org.eclipse.emf.ecore.EReference SUITE__VARIANTS

      The meta object literal for the 'Variants' reference list feature.

    - #### SUITE_PARAMETER

          static final org.eclipse.emf.ecore.EClass SUITE_PARAMETER

      The meta object literal for the '`Suite Parameter`' class.
      See Also:
        `SuiteParameterImpl`, `DslPackageImpl.getSuiteParameter()`

    - #### SUITE_PARAMETER__NAME

          static final org.eclipse.emf.ecore.EReference SUITE_PARAMETER__NAME

      The meta object literal for the 'Name' reference feature.

    - #### SUITE_PARAMETER__VALUE

          static final org.eclipse.emf.ecore.EReference SUITE_PARAMETER__VALUE

      The meta object literal for the 'Value' containment reference feature.

    - #### SUITE_RETURN

          static final org.eclipse.emf.ecore.EClass SUITE_RETURN

      The meta object literal for the '`Suite Return`' class.
      See Also:
        `SuiteReturnImpl`, `DslPackageImpl.getSuiteReturn()`

    - #### SUITE_RETURN__NAME

          static final org.eclipse.emf.ecore.EReference SUITE_RETURN__NAME

      The meta object literal for the 'Name' reference feature.

    - #### SUITE_RETURN__TARGET

          static final org.eclipse.emf.ecore.EReference SUITE_RETURN__TARGET

      The meta object literal for the 'Target' containment reference feature.

    - #### PARAMETER

          static final org.eclipse.emf.ecore.EClass PARAMETER

      The meta object literal for the '`Parameter`' class.
      See Also:
        `ParameterImpl`, `DslPackageImpl.getParameter()`

    - #### PARAMETER__NAME

          static final org.eclipse.emf.ecore.EReference PARAMETER__NAME

      The meta object literal for the 'Name' containment reference feature.

    - #### PARAMETER__VALUE

          static final org.eclipse.emf.ecore.EReference PARAMETER__VALUE

      The meta object literal for the 'Value' containment reference feature.

    - #### PARAMETER_NAME

          static final org.eclipse.emf.ecore.EClass PARAMETER_NAME

      The meta object literal for the '`Parameter Name`' class.
      See Also:
        `ParameterNameImpl`, `DslPackageImpl.getParameterName()`

    - #### FIXED_PARAMETER_NAME

          static final org.eclipse.emf.ecore.EClass FIXED_PARAMETER_NAME

      The meta object literal for the '`Fixed Parameter Name`' class.
      See Also:
        `FixedParameterNameImpl`, `DslPackageImpl.getFixedParameterName()`

    - #### FIXED_PARAMETER_NAME__ANNOTATION

          static final org.eclipse.emf.ecore.EReference FIXED_PARAMETER_NAME__ANNOTATION

      The meta object literal for the 'Annotation' reference feature.

    - #### ARBITRARY_PARAMETER_OR_RESULT_NAME

          static final org.eclipse.emf.ecore.EClass ARBITRARY_PARAMETER_OR_RESULT_NAME

      The meta object literal for the '`Arbitrary Parameter Or Result Name`' class.
      See Also:
        `ArbitraryParameterOrResultNameImpl`, `DslPackageImpl.getArbitraryParameterOrResultName()`

    - #### ARBITRARY_PARAMETER_OR_RESULT_NAME__IDENTIFIER

          static final org.eclipse.emf.ecore.EAttribute ARBITRARY_PARAMETER_OR_RESULT_NAME__IDENTIFIER

      The meta object literal for the 'Identifier' attribute feature.

    - #### ARBITRARY_PARAMETER_OR_RESULT_NAME__STRING_IDENTIFIER

          static final org.eclipse.emf.ecore.EAttribute ARBITRARY_PARAMETER_OR_RESULT_NAME__STRING_IDENTIFIER

      The meta object literal for the 'String Identifier' attribute feature.

    - #### OPERATION

          static final org.eclipse.emf.ecore.EClass OPERATION

      The meta object literal for the '`Operation`' class.
      See Also:
        `OperationImpl`, `DslPackageImpl.getOperation()`

    - #### STANDARD_OPERATION

          static final org.eclipse.emf.ecore.EClass STANDARD_OPERATION

      The meta object literal for the '`Standard Operation`' class.
      See Also:
        `StandardOperationImpl`, `DslPackageImpl.getStandardOperation()`

    - #### STANDARD_OPERATION__FIRST_OPERAND

          static final org.eclipse.emf.ecore.EReference STANDARD_OPERATION__FIRST_OPERAND

      The meta object literal for the 'First Operand' containment reference feature.

    - #### STANDARD_OPERATION__OPERATORS

          static final org.eclipse.emf.ecore.EAttribute STANDARD_OPERATION__OPERATORS

      The meta object literal for the 'Operators' attribute list feature.

    - #### STANDARD_OPERATION__MORE_OPERANDS

          static final org.eclipse.emf.ecore.EReference STANDARD_OPERATION__MORE_OPERANDS

      The meta object literal for the 'More Operands' containment reference list feature.

    - #### CUSTOM_OPERATION

          static final org.eclipse.emf.ecore.EClass CUSTOM_OPERATION

      The meta object literal for the '`Custom Operation`' class.
      See Also:
        `CustomOperationImpl`, `DslPackageImpl.getCustomOperation()`

    - #### CUSTOM_OPERATION__PREFIX_OPERAND

          static final org.eclipse.emf.ecore.EReference CUSTOM_OPERATION__PREFIX_OPERAND

      The meta object literal for the 'Prefix Operand' containment reference feature.

    - #### CUSTOM_OPERATION__DEFINITION

          static final org.eclipse.emf.ecore.EReference CUSTOM_OPERATION__DEFINITION

      The meta object literal for the 'Definition' reference feature.

    - #### CUSTOM_OPERATION__POSTFIX_OPERAND

          static final org.eclipse.emf.ecore.EReference CUSTOM_OPERATION__POSTFIX_OPERAND

      The meta object literal for the 'Postfix Operand' containment reference feature.

    - #### VALUE_OR_ENUM_VALUE_OR_OPERATION_COLLECTION

          static final org.eclipse.emf.ecore.EClass VALUE_OR_ENUM_VALUE_OR_OPERATION_COLLECTION

      The meta object literal for the '`Value Or Enum Value Or Operation Collection`' class.
      See Also:
        `ValueOrEnumValueOrOperationCollectionImpl`, `DslPackageImpl.getValueOrEnumValueOrOperationCollection()`

    - #### VALUE_OR_ENUM_VALUE_OR_OPERATION_COLLECTION__VALUE

          static final org.eclipse.emf.ecore.EReference VALUE_OR_ENUM_VALUE_OR_OPERATION_COLLECTION__VALUE

      The meta object literal for the 'Value' containment reference feature.

    - #### VALUE_OR_ENUM_VALUE_OR_OPERATION_COLLECTION__MORE_VALUES

          static final org.eclipse.emf.ecore.EReference VALUE_OR_ENUM_VALUE_OR_OPERATION_COLLECTION__MORE_VALUES

      The meta object literal for the 'More Values' containment reference list feature.

    - #### VALUE_OR_ENUM_VALUE_OR_OPERATION

          static final org.eclipse.emf.ecore.EClass VALUE_OR_ENUM_VALUE_OR_OPERATION

      The meta object literal for the '`Value Or Enum Value Or Operation`' class.
      See Also:
        `ValueOrEnumValueOrOperationImpl`, `DslPackageImpl.getValueOrEnumValueOrOperation()`

    - #### VALUE

          static final org.eclipse.emf.ecore.EClass VALUE

      The meta object literal for the '`Value`' class.
      See Also:
        `ValueImpl`, `DslPackageImpl.getValue()`

    - #### CONSTANT_VALUE

          static final org.eclipse.emf.ecore.EClass CONSTANT_VALUE

      The meta object literal for the '`Constant Value`' class.
      See Also:
        `ConstantValueImpl`, `DslPackageImpl.getConstantValue()`

    - #### STATIC_VALUE

          static final org.eclipse.emf.ecore.EClass STATIC_VALUE

      The meta object literal for the '`Static Value`' class.
      See Also:
        `StaticValueImpl`, `DslPackageImpl.getStaticValue()`

    - #### INTEGER_VALUE

          static final org.eclipse.emf.ecore.EClass INTEGER_VALUE

      The meta object literal for the '`Integer Value`' class.
      See Also:
        `IntegerValueImpl`, `DslPackageImpl.getIntegerValue()`

    - #### INTEGER_VALUE__INTEGER_VALUE

          static final org.eclipse.emf.ecore.EAttribute INTEGER_VALUE__INTEGER_VALUE

      The meta object literal for the 'Integer Value' attribute feature.

    - #### DECIMAL_VALUE

          static final org.eclipse.emf.ecore.EClass DECIMAL_VALUE

      The meta object literal for the '`Decimal Value`' class.
      See Also:
        `DecimalValueImpl`, `DslPackageImpl.getDecimalValue()`

    - #### DECIMAL_VALUE__DECIMAL_VALUE

          static final org.eclipse.emf.ecore.EAttribute DECIMAL_VALUE__DECIMAL_VALUE

      The meta object literal for the 'Decimal Value' attribute feature.

    - #### STRING_VALUE

          static final org.eclipse.emf.ecore.EClass STRING_VALUE

      The meta object literal for the '`String Value`' class.
      See Also:
        `StringValueImpl`, `DslPackageImpl.getStringValue()`

    - #### STRING_VALUE__STRING_VALUE

          static final org.eclipse.emf.ecore.EAttribute STRING_VALUE__STRING_VALUE

      The meta object literal for the 'String Value' attribute feature.

    - #### REGEX_VALUE

          static final org.eclipse.emf.ecore.EClass REGEX_VALUE

      The meta object literal for the '`Regex Value`' class.
      See Also:
        `RegexValueImpl`, `DslPackageImpl.getRegexValue()`

    - #### REGEX_VALUE__REGEX_VALUE

          static final org.eclipse.emf.ecore.EAttribute REGEX_VALUE__REGEX_VALUE

      The meta object literal for the 'Regex Value' attribute feature.

    - #### BOOLEAN_VALUE

          static final org.eclipse.emf.ecore.EClass BOOLEAN_VALUE

      The meta object literal for the '`Boolean Value`' class.
      See Also:
        `BooleanValueImpl`, `DslPackageImpl.getBooleanValue()`

    - #### BOOLEAN_VALUE__BOOLEAN_VALUE

          static final org.eclipse.emf.ecore.EAttribute BOOLEAN_VALUE__BOOLEAN_VALUE

      The meta object literal for the 'Boolean Value' attribute feature.

    - #### DATE_VALUE

          static final org.eclipse.emf.ecore.EClass DATE_VALUE

      The meta object literal for the '`Date Value`' class.
      See Also:
        `DateValueImpl`, `DslPackageImpl.getDateValue()`

    - #### DATE_VALUE__DATE_VALUE

          static final org.eclipse.emf.ecore.EAttribute DATE_VALUE__DATE_VALUE

      The meta object literal for the 'Date Value' attribute feature.

    - #### ISO_DATE_VALUE

          static final org.eclipse.emf.ecore.EClass ISO_DATE_VALUE

      The meta object literal for the '`Iso Date Value`' class.
      See Also:
        `IsoDateValueImpl`, `DslPackageImpl.getIsoDateValue()`

    - #### EUROPEAN_DATE_VALUE

          static final org.eclipse.emf.ecore.EClass EUROPEAN_DATE_VALUE

      The meta object literal for the '`European Date Value`' class.
      See Also:
        `EuropeanDateValueImpl`, `DslPackageImpl.getEuropeanDateValue()`

    - #### US_DATE_VALUE

          static final org.eclipse.emf.ecore.EClass US_DATE_VALUE

      The meta object literal for the '`US Date Value`' class.
      See Also:
        `USDateValueImpl`, `DslPackageImpl.getUSDateValue()`

    - #### TIME_VALUE

          static final org.eclipse.emf.ecore.EClass TIME_VALUE

      The meta object literal for the '`Time Value`' class.
      See Also:
        `TimeValueImpl`, `DslPackageImpl.getTimeValue()`

    - #### TIME_VALUE__TIME_VALUE

          static final org.eclipse.emf.ecore.EAttribute TIME_VALUE__TIME_VALUE

      The meta object literal for the 'Time Value' attribute feature.

    - #### ISO_TIME_VALUE

          static final org.eclipse.emf.ecore.EClass ISO_TIME_VALUE

      The meta object literal for the '`Iso Time Value`' class.
      See Also:
        `IsoTimeValueImpl`, `DslPackageImpl.getIsoTimeValue()`

    - #### SIMPLE24_HRS_TIME_VALUE

          static final org.eclipse.emf.ecore.EClass SIMPLE24_HRS_TIME_VALUE

      The meta object literal for the '`Simple24 Hrs Time Value`' class.
      See Also:
        `Simple24HrsTimeValueImpl`, `DslPackageImpl.getSimple24HrsTimeValue()`

    - #### SIMPLE12_HRS_TIME_VALUE

          static final org.eclipse.emf.ecore.EClass SIMPLE12_HRS_TIME_VALUE

      The meta object literal for the '`Simple12 Hrs Time Value`' class.
      See Also:
        `Simple12HrsTimeValueImpl`, `DslPackageImpl.getSimple12HrsTimeValue()`

    - #### DATE_AND_TIME_VALUE

          static final org.eclipse.emf.ecore.EClass DATE_AND_TIME_VALUE

      The meta object literal for the '`Date And Time Value`' class.
      See Also:
        `DateAndTimeValueImpl`, `DslPackageImpl.getDateAndTimeValue()`

    - #### DATE_AND_TIME_VALUE__DATE_VALUE

          static final org.eclipse.emf.ecore.EAttribute DATE_AND_TIME_VALUE__DATE_VALUE

      The meta object literal for the 'Date Value' attribute feature.

    - #### DATE_AND_TIME_VALUE__TIME_VALUE

          static final org.eclipse.emf.ecore.EAttribute DATE_AND_TIME_VALUE__TIME_VALUE

      The meta object literal for the 'Time Value' attribute feature.

    - #### ISO_DATE_AND_TIME_VALUE

          static final org.eclipse.emf.ecore.EClass ISO_DATE_AND_TIME_VALUE

      The meta object literal for the '`Iso Date And Time Value`' class.
      See Also:
        `IsoDateAndTimeValueImpl`, `DslPackageImpl.getIsoDateAndTimeValue()`

    - #### EUROPEAN_DATE_AND24_HRS_TIME_VALUE

          static final org.eclipse.emf.ecore.EClass EUROPEAN_DATE_AND24_HRS_TIME_VALUE

      The meta object literal for the '`European Date And24 Hrs Time Value`' class.
      See Also:
        `EuropeanDateAnd24HrsTimeValueImpl`, `DslPackageImpl.getEuropeanDateAnd24HrsTimeValue()`

    - #### EUROPEAN_DATE_AND12_HRS_TIME_VALUE

          static final org.eclipse.emf.ecore.EClass EUROPEAN_DATE_AND12_HRS_TIME_VALUE

      The meta object literal for the '`European Date And12 Hrs Time Value`' class.
      See Also:
        `EuropeanDateAnd12HrsTimeValueImpl`, `DslPackageImpl.getEuropeanDateAnd12HrsTimeValue()`

    - #### US_DATE_AND12_HRS_TIME_VALUE

          static final org.eclipse.emf.ecore.EClass US_DATE_AND12_HRS_TIME_VALUE

      The meta object literal for the '`US Date And12 Hrs Time Value`' class.
      See Also:
        `USDateAnd12HrsTimeValueImpl`, `DslPackageImpl.getUSDateAnd12HrsTimeValue()`

    - #### JAVA_CONSTANT_VALUE

          static final org.eclipse.emf.ecore.EClass JAVA_CONSTANT_VALUE

      The meta object literal for the '`Java Constant Value`' class.
      See Also:
        `JavaConstantValueImpl`, `DslPackageImpl.getJavaConstantValue()`

    - #### JAVA_CONSTANT_VALUE__CONSTANT

          static final org.eclipse.emf.ecore.EReference JAVA_CONSTANT_VALUE__CONSTANT

      The meta object literal for the 'Constant' containment reference feature.

    - #### VARIABLE

          static final org.eclipse.emf.ecore.EClass VARIABLE

      The meta object literal for the '`Variable`' class.
      See Also:
        `VariableImpl`, `DslPackageImpl.getVariable()`

    - #### VARIABLE__NAME

          static final org.eclipse.emf.ecore.EReference VARIABLE__NAME

      The meta object literal for the 'Name' reference feature.

    - #### VARIABLE__ATTRIBUTE

          static final org.eclipse.emf.ecore.EAttribute VARIABLE__ATTRIBUTE

      The meta object literal for the 'Attribute' attribute feature.

    - #### VARIABLE_VARIABLE

          static final org.eclipse.emf.ecore.EClass VARIABLE_VARIABLE

      The meta object literal for the '`Variable Variable`' class.
      See Also:
        `VariableVariableImpl`, `DslPackageImpl.getVariableVariable()`

    - #### VARIABLE_VARIABLE__NAME

          static final org.eclipse.emf.ecore.EReference VARIABLE_VARIABLE__NAME

      The meta object literal for the 'Name' reference feature.

    - #### CONSTANT

          static final org.eclipse.emf.ecore.EClass CONSTANT

      The meta object literal for the '`Constant`' class.
      See Also:
        `ConstantImpl`, `DslPackageImpl.getConstant()`

    - #### CONSTANT__NAME

          static final org.eclipse.emf.ecore.EReference CONSTANT__NAME

      The meta object literal for the 'Name' reference feature.

    - #### NULL_VALUE

          static final org.eclipse.emf.ecore.EClass NULL_VALUE

      The meta object literal for the '`Null Value`' class.
      See Also:
        `NullValueImpl`, `DslPackageImpl.getNullValue()`

    - #### INEXISTENT_VALUE

          static final org.eclipse.emf.ecore.EClass INEXISTENT_VALUE

      The meta object literal for the '`Inexistent Value`' class.
      See Also:
        `InexistentValueImpl`, `DslPackageImpl.getInexistentValue()`

    - #### EMPTY_VALUE

          static final org.eclipse.emf.ecore.EClass EMPTY_VALUE

      The meta object literal for the '`Empty Value`' class.
      See Also:
        `EmptyValueImpl`, `DslPackageImpl.getEmptyValue()`

    - #### ENUM_VALUE

          static final org.eclipse.emf.ecore.EClass ENUM_VALUE

      The meta object literal for the '`Enum Value`' class.
      See Also:
        `EnumValueImpl`, `DslPackageImpl.getEnumValue()`

    - #### ENUM_VALUE__ENUM_VALUE

          static final org.eclipse.emf.ecore.EReference ENUM_VALUE__ENUM_VALUE

      The meta object literal for the 'Enum Value' reference feature.

    - #### NESTED_OBJECT

          static final org.eclipse.emf.ecore.EClass NESTED_OBJECT

      The meta object literal for the '`Nested Object`' class.
      See Also:
        `NestedObjectImpl`, `DslPackageImpl.getNestedObject()`

    - #### NESTED_OBJECT__ATTRIBUTES

          static final org.eclipse.emf.ecore.EReference NESTED_OBJECT__ATTRIBUTES

      The meta object literal for the 'Attributes' containment reference list feature.

    - #### TYPED_NESTED_OBJECT

          static final org.eclipse.emf.ecore.EClass TYPED_NESTED_OBJECT

      The meta object literal for the '`Typed Nested Object`' class.
      See Also:
        `TypedNestedObjectImpl`, `DslPackageImpl.getTypedNestedObject()`

    - #### TYPED_NESTED_OBJECT__TYPE

          static final org.eclipse.emf.ecore.EReference TYPED_NESTED_OBJECT__TYPE

      The meta object literal for the 'Type' containment reference feature.

    - #### TYPED_NESTED_OBJECT__NESTED_OBJECT

          static final org.eclipse.emf.ecore.EReference TYPED_NESTED_OBJECT__NESTED_OBJECT

      The meta object literal for the 'Nested Object' containment reference feature.

    - #### KEY_VALUE_PAIR

          static final org.eclipse.emf.ecore.EClass KEY_VALUE_PAIR

      The meta object literal for the '`Key Value Pair`' class.
      See Also:
        `KeyValuePairImpl`, `DslPackageImpl.getKeyValuePair()`

    - #### KEY_VALUE_PAIR__IDENTIFIER

          static final org.eclipse.emf.ecore.EAttribute KEY_VALUE_PAIR__IDENTIFIER

      The meta object literal for the 'Identifier' attribute feature.

    - #### KEY_VALUE_PAIR__STRING_IDENTIFIER

          static final org.eclipse.emf.ecore.EAttribute KEY_VALUE_PAIR__STRING_IDENTIFIER

      The meta object literal for the 'String Identifier' attribute feature.

    - #### KEY_VALUE_PAIR__VALUE

          static final org.eclipse.emf.ecore.EReference KEY_VALUE_PAIR__VALUE

      The meta object literal for the 'Value' containment reference feature.

    - #### JAVA_CLASS_REFERENCE

          static final org.eclipse.emf.ecore.EClass JAVA_CLASS_REFERENCE

      The meta object literal for the '`Java Class Reference`' class.
      See Also:
        `JavaClassReferenceImpl`, `DslPackageImpl.getJavaClassReference()`

    - #### JAVA_CLASS_REFERENCE__TYPE

          static final org.eclipse.emf.ecore.EReference JAVA_CLASS_REFERENCE__TYPE

      The meta object literal for the 'Type' reference feature.

    - #### METHOD_REFERENCE

          static final org.eclipse.emf.ecore.EClass METHOD_REFERENCE

      The meta object literal for the '`Method Reference`' class.
      See Also:
        `MethodReferenceImpl`, `DslPackageImpl.getMethodReference()`

    - #### METHOD_REFERENCE__TYPE

          static final org.eclipse.emf.ecore.EReference METHOD_REFERENCE__TYPE

      The meta object literal for the 'Type' reference feature.

    - #### METHOD_REFERENCE__METHOD

          static final org.eclipse.emf.ecore.EReference METHOD_REFERENCE__METHOD

      The meta object literal for the 'Method' reference feature.

    - #### JAVA_CONSTANT_REFERENCE

          static final org.eclipse.emf.ecore.EClass JAVA_CONSTANT_REFERENCE

      The meta object literal for the '`Java Constant Reference`' class.
      See Also:
        `JavaConstantReferenceImpl`, `DslPackageImpl.getJavaConstantReference()`

    - #### JAVA_CONSTANT_REFERENCE__TYPE

          static final org.eclipse.emf.ecore.EReference JAVA_CONSTANT_REFERENCE__TYPE

      The meta object literal for the 'Type' reference feature.

    - #### JAVA_CONSTANT_REFERENCE__CONSTANT

          static final org.eclipse.emf.ecore.EReference JAVA_CONSTANT_REFERENCE__CONSTANT

      The meta object literal for the 'Constant' reference feature.

    - #### EXECUTION_MULTIPLIER

          static final org.eclipse.emf.ecore.EClass EXECUTION_MULTIPLIER

      The meta object literal for the '`Execution Multiplier`' class.
      See Also:
        `ExecutionMultiplierImpl`, `DslPackageImpl.getExecutionMultiplier()`

    - #### EXECUTION_MULTIPLIER__COUNT

          static final org.eclipse.emf.ecore.EReference EXECUTION_MULTIPLIER__COUNT

      The meta object literal for the 'Count' containment reference feature.

    - #### DOCUMENTATION_COMMENT

          static final org.eclipse.emf.ecore.EClass DOCUMENTATION_COMMENT

      The meta object literal for the '`Documentation Comment`' class.
      See Also:
        `DocumentationCommentImpl`, `DslPackageImpl.getDocumentationComment()`

    - #### DOCUMENTATION_COMMENT__CONTENT

          static final org.eclipse.emf.ecore.EAttribute DOCUMENTATION_COMMENT__CONTENT

      The meta object literal for the 'Content' attribute feature.

    - #### NULL

          static final org.eclipse.emf.ecore.EClass NULL

      The meta object literal for the '`Null`' class.
      See Also:
        `NullImpl`, `DslPackageImpl.getNull()`

    - #### INEXISTENT

          static final org.eclipse.emf.ecore.EClass INEXISTENT

      The meta object literal for the '`Inexistent`' class.
      See Also:
        `InexistentImpl`, `DslPackageImpl.getInexistent()`

    - #### EMPTY

          static final org.eclipse.emf.ecore.EClass EMPTY

      The meta object literal for the '`Empty`' class.
      See Also:
        `EmptyImpl`, `DslPackageImpl.getEmpty()`